<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celstart/celstart.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">celstart/celstart.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Copyright (C) 2008 by Frank Richter</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00005"></a>00005 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00006"></a>00006 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00007"></a>00007 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00012"></a>00012 <span class="comment">    Library General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00015"></a>00015 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00016"></a>00016 <span class="comment">    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</span>
<a name="l00017"></a>00017 <span class="comment">*/</span>
<a name="l00018"></a>00018 
<a name="l00019"></a>00019 <span class="preprocessor">#ifndef __CEL_CELSTART_CELSTART_H__</span>
<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_CELSTART_CELSTART_H__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span>
<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cssysdef_8h.html">cssysdef.h</a>&gt;</span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/dirtyaccessarray_8h.html">csutil/dirtyaccessarray.h</a>&gt;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/mempool_8h.html">csutil/mempool.h</a>&gt;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;celtool/celtoolextern.h&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="preprocessor">#ifdef CEL_CELSTARTCORE_LIB</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">  #define CEL_CELSTARTCORE_EXPORT CEL_EXPORT_SYM</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">  #define CEL_CELSTARTCORE_EXPORT CEL_IMPORT_SYM</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="keyword">namespace </span>CEL
<a name="l00034"></a>00034 {
<a name="l00038"></a>00038   CEL_CELSTARTCORE_EXPORT <span class="keywordtype">int</span> CelStartMain (<span class="keywordtype">int</span> argc, <span class="keyword">const</span> <span class="keywordtype">char</span>* <span class="keyword">const</span> argv[]);
<a name="l00039"></a>00039   
<a name="l00052"></a><a class="code" href="classCEL_1_1CelStartWrapper.html">00052</a>   <span class="keyword">class </span>CEL_CELSTARTCORE_EXPORT <a class="code" href="classCEL_1_1CelStartWrapper.html" title="Class for running CELstart, simplifying manipulation of the passed command line arguments.">CelStartWrapper</a>
<a name="l00053"></a>00053   {
<a name="l00054"></a>00054     <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsMemoryPool.html">csMemoryPool</a> extraArgsPool;
<a name="l00055"></a>00055     <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsDirtyAccessArray.html">csDirtyAccessArray&lt;const char*&gt;</a> args;
<a name="l00056"></a>00056     <span class="keywordtype">size_t</span> userArgsFirst;
<a name="l00057"></a>00057     <span class="keywordtype">size_t</span> userArgsCount;
<a name="l00058"></a>00058   <span class="keyword">public</span>:
<a name="l00059"></a>00059     <a class="code" href="classCEL_1_1CelStartWrapper.html" title="Class for running CELstart, simplifying manipulation of the passed command line arguments.">CelStartWrapper</a> (<span class="keywordtype">int</span> argc, <span class="keyword">const</span> <span class="keywordtype">char</span>* <span class="keyword">const</span> argv[]);
<a name="l00060"></a>00060   
<a name="l00069"></a>00069     <span class="keywordtype">void</span> AddArgumentBeforeUserArgs (<span class="keyword">const</span> <span class="keywordtype">char</span>* arg);
<a name="l00071"></a>00071     <span class="keywordtype">void</span> AddArgumentAfterUserArgs (<span class="keyword">const</span> <span class="keywordtype">char</span>* arg);
<a name="l00072"></a>00072   
<a name="l00074"></a>00074     <span class="keywordtype">int</span> Main ();
<a name="l00075"></a>00075   };
<a name="l00076"></a>00076 } <span class="comment">// namespace CEL</span>
<a name="l00077"></a>00077 
<a name="l00078"></a>00078 <span class="preprocessor">#endif // __CEL_CELSTART_CELSTART_H__</span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
